# hx509 library

## Functions

int | hx509_context_init (hx509_context *context)
void | hx509_context_free (hx509_context *context)

## Detailed Description

## Function Documentation

void hx509_context_free | ( | hx509_context * | context | ) |

Free the context allocated by hx509_context_init().

Parameters:

  | context | context to be freed.

int hx509_context_init | ( | hx509_context * | context | ) |

Creates a hx509 context that most functions in the library uses. The context is only allowed to be used by one thread at each moment. Free the context with hx509_context_free().

Parameters:

  | context | Returns a pointer to new hx509 context.

Returns:
  Returns an hx509 error code.